### Function

# Gio resources_register

since: 2.32

#### Declaration

    void
    g_resources_register (
      GResource* resource
    )

#### Description

Registers the resource with the process-global set of resources. Once a resource is registered the files in it can be accessed with the global resource lookup functions like g_resources_lookup_data().

Available since: 2.32

#### Parameters

`resource`

  Type: `GResource`

  A `GResource`.

  The data is owned by the caller of the function.